#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityLuckyCoinCFGData
{
	//编号
	int mID;
	//网名
	std::string mName;
	//所需ID
	int mneedItem;
	//所需硬币数量
	int mneedCount;
};

class M_ActivityLuckyCoinCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyCoinCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyCoinCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityLuckyCoinCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityLuckyCoinCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityLuckyCoinCFGData> mMapData;
};
